/*
 * Using prisma-binding from
 * https://github.com/prisma/prisma-binding
 */
const { Prisma } = require('prisma-binding')
const {
  typeDefs
} = require('../database/generated/prisma-client/prisma-schema')

console.log('Prisma', process.env.PRISMA_ENDPOINT, process.env.PRISMA_SECRET)

const db = new Prisma({
  typeDefs,
  endpoint: process.env.PRISMA_ENDPOINT,
  secret: process.env.PRISMA_SECRET,
  debug: true
})

const populateUser = async (req, res, next) => {
  if (!req.userId) return next()
  const user = await db.query.user(
    { where: { id: req.userId } },
    '{id, email, name}'
  )
  req.user = user
  next()
}

module.exports = { db, populateUser }
